export declare let append: (strToAppend: string) => (classNames: string[]) => string;
export declare let _if: (prop: boolean, stylesA: string[], stylesB?: string[]) => string;
export declare let _modifiers: Record<"hover" | "active" | "focus", (classNames: string[]) => string>;
export declare let _media: Record<"sm" | "md" | "lg" | "xl", (classNames: string[]) => string>;
export declare let _theme: (theme: string) => (themeData: Record<string, string[]>) => string;
export interface Helpers extends Record<'sm' | 'md' | 'lg' | 'xl', (classNames: string[]) => string>, Record<'hover' | 'active' | 'focus', (classNames: string[]) => string> {
    if: typeof _if;
    theme: ReturnType<typeof _theme>;
}
export declare let helpers: {
    sm: (classNames: string[]) => string;
    md: (classNames: string[]) => string;
    lg: (classNames: string[]) => string;
    xl: (classNames: string[]) => string;
    hover: (classNames: string[]) => string;
    active: (classNames: string[]) => string;
    focus: (classNames: string[]) => string;
    if: (prop: boolean, stylesA: string[], stylesB?: string[]) => string;
};
export declare let createHelpers: (theme: string) => Helpers;
